Name:           perl-FusionInventory-Agent-Task-ESX
Version:        2.2.0
Release:        1%{?dist}
Summary:        vCenter/ESX/ESXi remote inventory for FusionInventory Agent
License:        GPLv2+
Group:          Development/Libraries

URL:            http://forge.fusioninventory.org/projects/fusioninventory-agent-task-esx
Source0:        http://search.cpan.org/CPAN/authors/id/F/FU/FUSINV/FusionInventory-Agent-Task-ESX-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:5.8.0
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  fusioninventory-agent >= 2.2.0
BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(XML::TreePP)
BuildRequires:  perl(LWP::Protocol::https)

Requires:       fusioninventory-agent >= 2.2.0
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# RPM 4.8
%{?filter_from_provides: %filter_from_provides /perl(FusionInventory::/d}
%{?filter_from_requires: %filter_from_requires /perl(FusionInventory::/d}
%{?perl_default_filter}
# RPM 4.9
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(FusionInventory::
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(FusionInventory::


%description
vCenter, ESX and ESXi remote inventory using SOAP interface.

You can import the generated files in:
- GLPI with FusionInventory for GLPI
- ocsinventory
- Uranos


%prep
%setup -q -n FusionInventory-Agent-Task-ESX-%{version}

# Use system ones
rm -rf inc/*


%build
perl Makefile.PL \
     PREFIX=%{_prefix} \
     SYSCONFDIR=%{_sysconfdir}/fusioninventory \
     LOCALSTATEDIR=%{_localstatedir}/lib/%{name}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
#make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README LICENSE
%{_bindir}/fusioninventory-esx
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/ESX.pm
%{_datadir}/fusioninventory/lib/FusionInventory/VMware
%{_mandir}/man1/fusioninventory-esx.*


%changelog
* Tue Nov 27 2012 Kevin COUSIN <kcousin@globalsp.com> - 2.2.0-1
- First GlobalSP release

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 2.1.0-3
- Perl 5.16 rebuild

* Fri May 11 2012 Remi Collet <remi@fedoraproject.org> - 2.1.0-2
- filter private provides/requires

* Thu May 10 2012 Remi Collet <remi@fedoraproject.org> - 2.1.0-1
- update to 2.1.0 for agent 2.2.0
  http://cpansearch.perl.org/src/FUSINV/FusionInventory-Agent-Task-ESX-2.1.0/Changes

* Sun Feb 26 2012 Remi Collet <Fedora@famillecollet.com> 1.1.3-1
- update to 1.1.3
  http://cpansearch.perl.org/src/FUSINV/FusionInventory-Agent-Task-ESX-1.1.3/Changes

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 08 2011 Remi Collet <Fedora@famillecollet.com> 1.1.2-2
- add BR perl(LWP::Protocol::https)

* Tue Jun 28 2011 Remi Collet <Fedora@famillecollet.com> 1.1.2-1
- update to 1.1.2
  http://cpansearch.perl.org/src/FUSINV/FusionInventory-Agent-Task-ESX-1.1.2/Changes

* Sat Jun 24 2011 Remi Collet <Fedora@famillecollet.com> 1.1.1-1
- update to 1.1.1
  http://cpansearch.perl.org/src/FUSINV/FusionInventory-Agent-Task-ESX-1.1.1/Changes

* Wed Mar 30 2011 Remi Collet <Fedora@famillecollet.com> 1.0.1-1
- update to 1.0.1 (with LICENSE)

* Wed Mar 30 2011 Remi Collet <Fedora@famillecollet.com> 1.0.0-1
- Specfile autogenerated by cpanspec 1.78.
- spec cleanup

